Subject: Re: RTL8402 stops working after hibernate/resume

From: Heiner Kallweit <[email-masked]>
Date: Wed, 15 Jul 2020 17:25:32 +0200

On 15.07.2020 10:28, Petr Tesarik wrote:
> Hi all,
> 
> I've encountered some issues on an Asus laptop. The RTL8402 receive
> queue behaves strangely after suspend to RAM and resume - many incoming
> packets are truncated, but not all and not always to the same length
> (most commonly 60 bytes, but I've also seen 150 bytes and other
> lengths).
> 
> Reloading the driver can fix the problem, so I believe we must be
> missing some initialization on resume. I've already done some
> debugging, and the interface is not running when rtl8169_resume() is
> called, so __rtl8169_resume() is skipped, which means that almost
> nothing is done on resume.
> 
> Some more information can be found in this openSUSE bug report:
> 
> https://bugzilla.opensuse.org/show_bug.cgi?id=1174098
> 
> The laptop is not (yet) in production, so I can do further debugging if
> needed.
> 
> Petr T
> 
One additional question: Do you have the firmware in place?
Check "ethtool -i <if>" for a firmware version.